Index: /trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- /trunk/contactcenter/js/ccIEContacts.js	(revision 270)
+++ /trunk/contactcenter/js/ccIEContacts.js	(revision 284)
@@ -3,5 +3,5 @@
 		this.el;		
 		this.wWidth = 395;
-		this.wHeight = 255;
+		this.wHeight = 240;
 	}
 	
@@ -16,25 +16,4 @@
 		}	
 	}
-	
-	cIEContacts.prototype.showFailures = function(data){
-		if (data == 'undefined')
-			return;
-		if (data){
-			var lang_clean = Element('cc_msg_clean').value;
-			var info_box = document.getElementById('s_info2');
-			info_box.innerHTML = data;
-			info_box.style.visibility = '';
-			var cleanButton = document.createElement('input');
-			cleanButton.type='button';
-			cleanButton.value=lang_clean;
-			cleanButton.onclick= function() { ccIEContacts.cleanInfo() };
-			info_box.appendChild(cleanButton);
-			}
-	}
-
-	cIEContacts.prototype.cleanInfo = function(){
-	var info_box = document.getElementById('s_info2');
-	info_box.innerHTML = '';
-	}	
 	
 	cIEContacts.prototype.showList = function(){
@@ -58,70 +37,52 @@
 			this.el.id = 'cc_rectIEContacts';
 			document.body.appendChild(this.el);
-
-			var lang_import_contacts = Element('cc_msg_import_contacts').value;
-            var lang_close_win = Element('cc_msg_close_win').value
-            var lang_export_contacts = Element('cc_msg_export_contacts').value;
-            var lang_expresso_info_csv = Element('cc_msg_expresso_info_csv').value;
-            var lang_expresso_default = Element('cc_msg_expresso_default').value;
-            var lang_choose_contacts_file	= Element('cc_msg_choose_contacts_file').value;
-            var lang_msg_choose_type		= Element('cc_msg_choose_file_type').value;
-			var lang_msg_expresso_info_csv	= Element('cc_msg_expresso_info_csv').value;
-			var lang_msg_export_csv			= Element('cc_msg_export_csv').value;;
-            var lang_msg_automatic = Element('cc_msg_automatic').value;
-			var lang_moz_tb = Element('cc_msg_moz_thunderbird').value;
-			var lang_outl_pt = Element('cc_msg_outlook_express_pt').value;
-			var lang_outl_en = Element('cc_msg_outlook_express_en').value;
-			var lang_outl2k_pt = Element('cc_msg_outlook_2k_pt').value;
-			var lang_outl2k_en = Element('cc_msg_outlook_2k_en').value;
-			var lang_expresso_default_csv = Element('cc_msg_expresso_default_csv').value;
-
-		
 			this.el.innerHTML = 
 			'<div align="left" id="divAppbox"><table width="100%" border=0>'+
-			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>'+lang_import_contacts+
-			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>'+lang_export_contacts+' <br></td></tr>'+
+			'<tr><td style="border-bottom:1px solid black"><input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" value="i" style="border:0" checked>Importar Contatos'+
+			'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input onclick="javascript:ccIEContacts.changeOptions(this.value)" id="type" type="radio" name="type" style="border:0" value="e"/>Exportar Contatos<br></td></tr>'+
 			'</table>'+
 			'<table border=0 height="208px"  width="100%" id="import_span">'+
 			'<tr><td>'+
-			'<font color="DARKBLUE" size="2">'+lang_expresso_info_csv+'</font></td></tr>'+
+			'<font color="DARKBLUE" size="2">O Expresso suporta a importação de contatos no formato de arquivo CSV.</font></td></tr>'+
 			'<tr><td height="75px" valign="top">'+
-			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+ lang_msg_choose_type +
-			':&nbsp;<select id="typeImport"><option value="auto" selected>'+lang_msg_automatic+'</option>'+
-			'<option value="outlook">'+("Outlook Express")+'</option>'+
-			'<option value="outlook2000">'+("Outlook 2000")+'</option>'+
-			'<option value="thunderbird">'+("Mozilla Thunderbird")+'</option>'+
-			'<option value="expresso">'+lang_expresso_default+'</option></select><br>'+
-			'<br>'+lang_choose_contacts_file+'<br><br>'+			
+			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+										
+			'Selecione o tipo do arquivo:&nbsp;<select id="typeImport">'+
+			'<option value="outlook">Outlook Express</option>'+
+			'<option value="outlook2000">Outlook 2000</option>'+
+			'<option value="thunderbird">Mozilla Thunderbird</option>'+
+			'<option value="expresso" selected>Expresso (padrão)</option></select><br>'+
+			'<br>Selecione o arquivo que contém os contatos a serem importados:<br><br>'+			
 			'<input id="import_file" type="file" name="import_file">'+
 			'</form></td></tr>'+
 			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info"></span></td></tr>'+
 			'<tr><td height="10px" align="center"></td></tr>'+
-			'<tr><td nowrap><center><input id="import_button" type="button" value='+lang_import_contacts+' onClick="javascript:ccIEContacts.importCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value='+lang_close_win+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
-			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info2"></span></td></tr></table>'+
+			'<tr><td nowrap><center><input id="import_button" type="button" value="Importar Contatos" onClick="javascript:ccIEContacts.importCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
+			'<input type="button" value="Fechar" onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'</table>'+
 			'<table border=0  height="208px"  width="100%" style="display:none" id="export_span">'+
 			'<tr><td>'+						
-			'<font color="DARKBLUE" size="2">'+ lang_msg_expresso_info_csv+'</font></td></tr>'+
-			'<tr><td height="85px" valign="top">'+lang_msg_export_csv+'<br><br>'+
-			'<input style="border:0" id="typeExport_0" name="radio" type="radio" value="expresso" checked/>'+lang_expresso_default_csv+'<br>'+
-			'<input style="border:0" id="typeExport_1" name="radio" type="radio" value="outlook_pt-BR">'+lang_outl_pt+ '<br>'+
-			'<input style="border:0" id="typeExport_2" name="radio" type="radio" value="outlook_en">'+lang_outl_en+ '<br>'+
-			'<input style="border:0" id="typeExport_3" name="radio" type="radio" value="outlook2000_pt-BR">'+lang_outl2k_pt + '<br>'+
-			'<input style="border:0" id="typeExport_4" name="radio" type="radio" value="outlook2000_en">'+lang_outl2k_en + '<br>'+
-			'<input style="border:0" id="typeExport_5" name="radio" type="radio" value="thunderbird">'+lang_moz_tb + '<br>'+
+			'<font color="DARKBLUE" size="2">O Expresso suporta a exportação de contatos no formato de arquivo CSV.</font></td></tr>'+
+			'<tr><td height="85px" valign="top">'+						
+			'Selecione o tipo do formato que deseja exportar seus contatos:<br><br>'+
+			'<input style="border:0" id="typeExport_0" name="radio" type="radio" value="expresso" checked/>Exportar como CSV do Expresso (padrão)<br>'+
+			'<input style="border:0" id="typeExport_1" name="radio" type="radio" value="outlook_pt-BR">Exportar como CSV do Outlook Express (Português)<br>'+
+			'<input style="border:0" id="typeExport_2" name="radio" type="radio" value="outlook_en">Exportar como CSV do Outlook Express (Inglês)<br>'+
+			'<input style="border:0" id="typeExport_3" name="radio" type="radio" value="outlook2000_pt-BR">Exportar como CSV do Outlook 2000 (Português)<br>'+
+			'<input style="border:0" id="typeExport_4" name="radio" type="radio" value="outlook2000_en">Exportar como CSV do Outlook 2000 (Inglês)<br>'+
+			'<input style="border:0" id="typeExport_5" name="radio" type="radio" value="thunderbird">Exportar como CSV do Mozilla Thunderbird<br>'+
 			'</td></tr>'+
 			'<tr><td align="center">&nbsp;</td></tr>'+
-			'<tr><td nowrap><center><input id="export_button" type="button" value='+lang_export_contacts+ ' onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value='+lang_close_win+ ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'<tr><td nowrap><center><input id="export_button" type="button" value="Exportar Contatos" onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
+			'<input type="button" value="Fechar" onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'</table></div>';
 		}		
 		this.showWindow();
 	}
-	
+		
 	cIEContacts.prototype.showWindow = function ()
 	{						
 		if(!this.win) {
-	
-				this.win = new dJSWin({			
+
+			this.win = new dJSWin({			
 				id: 'ccIEContacts',
 				content_id: this.el.id,
@@ -130,5 +91,5 @@
 				title_color: '#3978d6',
 				bg_color: '#eee',
-				title: Element('cc_msg_ie_personal').value, 
+				title: "Importar / Exportar Contatos Pessoais",						
 				title_text_color: 'white',
 				button_x_img: '../phpgwapi/images/winclose.gif',
@@ -151,25 +112,16 @@
 		var status = '';
 
-		var lang_import_fail = Element('cc_msg_import_fail').value;
-		var lang_importing = Element('cc_msg_importing_contacts').value;
-		var lang_import_finish = Element('cc_msg_import_finished').value;
-		var lang_new = Element('cc_msg_new').value;
-		var lang_failure = Element('cc_msg_failure').value;
-		var lang_exists = Element('cc_msg_exists').value;
-		var lang_show_more_info = Element('cc_msg_show_more_info').value;
-
-		var l_1		= '<font face="Verdana" size="1" color="GREEN">['+args[1]+lang_new+']</font>';
-		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+lang_failure+']</font>';
-		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+lang_exists+']</font>';
-		var l_4 	= '<br><a font face="Verdana" size="1" href="javascript:ccIEContacts.showFailures(\''+args[4]+'\')">'+lang_show_more_info+'</a>';
-		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+lang_import_fail+ '&nbsp;</font></span>';
-		var l_importing = '<span style="height:15px;background:rgb(250, 209, 99)">&nbsp;&nbsp;<font face="Verdana" size="1" color="DARKBLUE">'+lang_importing + '&nbsp;</font></span>';
+		var l_1		= '<font face="Verdana" size="1" color="GREEN">['+args[1]+' novos]</font>';
+		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+' falharam]</font>';
+		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+' já existiam]</font>';
+		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">A importação falhou. Verifique o formato do arquivo.&nbsp;</font></span>';
+		var l_importing = '<span style="height:15px;background:rgb(250, 209, 99)">&nbsp;&nbsp;<font face="Verdana" size="1" color="DARKBLUE">Importando contatos ....&nbsp;</font></span>';
 
 		if(args[0] == 'success') {
 
-			for(i = 1; i < 5; i++) {
+			for(i = 1; i < 4; i++) {
 				status += "&nbsp;"+eval('l_'+i);
 			}
-			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>'+lang_import_finish+'</b></font><br>&nbsp;'+status;
+			Element('s_info').innerHTML = '&nbsp;&nbsp;<font face="Verdana" size="1" color="BLACK"><b>A importação foi concluída.</b></font><br>&nbsp;'+status;
 		}
 		else 
@@ -196,9 +148,9 @@
 	cIEContacts.prototype.importCSV = function ()
 	{		
-		var lang_msg_invalid_csv = Element('cc_msg_invalid_csv').value;
 		var form = document.formCSV;
+		
 		if ((form.import_file.value.length < 10) || 
-		(form.import_file.value.substring(form.import_file.value.length - 4, form.import_file.value.length).toLowerCase() != ".csv")){
-			alert(lang_msg_invalid_csv);
+		(form.import_file.value.substring(form.import_file.value.length - 4, form.import_file.value.length) != ".csv")){
+			alert('Selecione um arquivo CSV válido para importar seus contatos.');
 			return;
 		}
@@ -218,6 +170,4 @@
 				args[2] = data._failure ? data._failure : 0;
 				args[3] = data._existing ? data._existing : 0;
-				args[4] = data._failure_status
-
 			}
 			_this.importWriteStatus(args);
@@ -258,8 +208,8 @@
 	
 	cIEContacts.prototype.exportCSV = function() {
-		var lang_export_error = Element('cc_msg_export_error');
+
 		var handler_export = function(data) {
 			if(!data){
-				alert(lang_export_error	);
+				alert("Ocorreu um erro durante a exportação.");
 				return;
 			}				
Index: /trunk/contactcenter/index.php
===================================================================
--- /trunk/contactcenter/index.php	(revision 2)
+++ /trunk/contactcenter/index.php	(revision 284)
@@ -22,7 +22,10 @@
 	);
 	include('../header.inc.php');
+	$_SESSION['phpgw_info']['user']['preferences']['contactcenter']['telephone_number'] = $GLOBALS['phpgw_info']['user']['telephonenumber'];
+    	$_SESSION['phpgw_info']['user']['preferences']['contactcenter']['voip_enabled'] = true;
 
 	$obj = CreateObject('contactcenter.ui_data');
 	$obj->index();
+	
 
 	$GLOBALS['phpgw']->common->phpgw_footer();
